Bug 61069 - grub can't run memtest86 if slashimage is used
Summary: grub can't run memtest86 if slashimage is used
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: grub   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-12 23:34 UTC by Jim Radford
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 20:06:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Radford 2002-03-12 23:34:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
grub hangs when I try and run:

  splashimage=<whatever the default is>
  kernel=(hd0,1)/boot/memtest86.bin
  boot

but if I take out the splashimage it works.

How reproducible:
Always

Comment 1 Jeremy Katz 2002-03-13 05:20:15 UTC
Seems to work for me, but I'm using a slightly newer version of grub.  If you
try the package at http://people.redhat.com/~katzj/grub/ does it work better?

Comment 2 Jim Radford 2002-03-18 19:34:14 UTC
I tested this a bit more including with your newest grub.  It works all the time
if run from the config file, but only without the splashimage if I run from the
command line.



Comment 3 Jeremy Katz 2002-12-29 07:01:09 UTC
The terminal type wasn't being reset to a console when going to boot from the
command line.  The Linux kernel works around this and restores state correctly,
but memtest86 doesn't.  I've added a patch to grub-0.93-2 which fixes this.

Comment 4 Bill Nottingham 2006-08-04 20:06:39 UTC
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.


Note You need to log in before you can comment on or make changes to this bug.